# Metris(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

Metris - MicroEmacs 2009 version of the falling blocks game

## SYNOPSIS

Metris

## DESCRIPTION

Traditional falling blocks game, make solid horizontal lines out of the falling blocks. The blocks can be rotated and moved left or right by the user as they fall. Once a horizontal line is completely solid it will disappear and everything above it will drop down. A bonus is given if 3 solid rows are made at the same time, i.e. using one block.

Every line you make the game speeds up until it gets too fast!! The game ends when there is no more room to put a block.

The keys used to control Metris are:

left or j

Move the block left one character.

right or l

Move the block right one character.

down or k

Rotate the block counter-clockwise 90 degrees.

space

Drop the current block.

p

Pause the current game.

q

Quit the current game.

C-l

Redraw the display.

return

Start a new game.

esc h

View this help page.

## NOTES

Metris is a macro defined in `metris.emf`.

## SEE ALSO

Games, Match-It(3), Patience(3).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>